Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386287 (CVE-2011-2178) - <app-emulation/libvirt-0.9.2: information leak (CVE-2011-2178)
Summary: <app-emulation/libvirt-0.9.2: information leak (CVE-2011-2178)
Status: RESOLVED FIXED
Alias: CVE-2011-2178
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-08 13:30 UTC by GLSAMaker/CVETool Bot
Modified: 2012-02-27 22:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2011-10-08 13:30:53 UTC
CVE-2011-2178 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-2178):
  The virSecurityManagerGetPrivateData function in security/security_manager.c
  in libvirt 0.8.8 through 0.9.1 uses the wrong argument for a sizeof call,
  which causes incorrect processing of "security manager private data" that
  "reopens disk probing" and might allow guest OS users to read arbitrary
  files on the host OS.  NOTE: this vulnerability exists because of a
  CVE-2010-2238 regression.
Comment 1 Stefan Behte (RETIRED) gentoo-dev Security 2011-10-09 12:35:48 UTC
Added to pending GLSA request.
Comment 2 Doug Goldstein gentoo-dev 2012-02-09 19:28:45 UTC
Versions affected are no longer in tree.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2012-02-27 22:33:01 UTC
This issue was resolved and addressed in
 GLSA 201202-07 at http://security.gentoo.org/glsa/glsa-201202-07.xml
by GLSA coordinator Stefan Behte (craig).